Summary: Creates an initial ramdisk image for preloading modules.
Name: mkinitrd
Version: 3.2.6
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: mkinitrd-%{version}.tar.bz2
ExclusiveOs: Linux
Requires: e2fsprogs, /bin/sh, fileutils, grep, mount, gzip, tar, /sbin/insmod.static, /sbin/losetup, mktemp >= 1.5-5, findutils
Requires: filesystem >= 2.1.0
BuildRoot: %{_tmppath}/%{name}-root

%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images. These ramdisk images are often used to preload the block
device modules (SCSI or RAID) needed to access the root filesystem. In
other words, generic kernels can be built without drivers for any SCSI
adapters which load the SCSI driver as a module. Since the kernel
needs to read those modules, but in this case it isn't able to address
the SCSI adapter, an initial ramdisk is used. The initial ramdisk is
loaded by the operating system loader (normally LILO) and is available
to the kernel as soon as the ramdisk is loaded. The ramdisk image
loads the proper SCSI adapter and allows the kernel to mount the root
filesystem. The mkinitrd program creates such a ramdisk using
information found in the /etc/modules.conf file.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkinitrd
%attr(644,root,root) %{_mandir}/man8/mkinitrd.8*
%attr(755,root,root) /sbin/nash
%attr(644,root,root) %{_mandir}/man8/nash.8*
%attr(755,root,root) /sbin/installkernel
%attr(755,root,root) /sbin/new-kernel-pkg
%ifarch i386 i586 i686 athlon
%attr(755,root,root) /sbin/grubby
%endif


%changelog
* Wed Sep  5 2001 Jeremy Katz <katzj@redhat.com>
- grubby shouldn't blow away default=saved lines (#52981)

* Fri Aug 31 2001 Jeremy Katz <katzj@redhat.com>
- fix new-kernel-pkg --mkinitrd for ia64

* Thu Aug 30 2001 Erik Troan <ewt@redhat.com>
- fixed bug handling invalid default (MF #52889)
- in some cases we would set the default to point at a removed image

* Wed Aug 29 2001 Erik Troan <ewt@redhat.com>
- minor grubby fixes

* Tue Aug 28 2001 Jeremy Katz <katzj@redhat.com>
- let new-kernel-pkg be able to do more (initrds, modules.*)
- include grubby only on x86

* Mon Aug 27 2001 Jeremy Katz <katzj@redhat.com>
- more grubby fixups for having a /boot
- added new-kernel-pkg

* Sun Aug 26 2001 Erik Troan <ewt@redhat.com>
- added grubby
- added installkernel

* Fri Aug  3 2001 Matt Wilson <msw@redhat.com>
- make consoles with the correct minor numbers
- applied patch from hjl to fix fstab parsing (#50819)

* Fri Jul 20 2001 Jeremy Katz <katzj@redhat.com>
- skip errors finding jbd as a module if we're skipping them trying to find
  ext3 so that you can build a kernel with ext3 built-in and still use an
  initrd

* Wed Jul 11 2001 Bill Nottingham <notting@redhat.com>
- don't print errors if /etc/raidtab doesn't exist
- or /etc/{modules.conf,conf.modules}, for that matter

* Fri Jul  6 2001 Matt Wilson <msw@redhat.com>
- don't dig through /etc/fstab to find out if we have a filesystem on
  a RAID device, it's usually mounted by label so /dev/mdN isn't there
  at all (#46525)

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- require filesystem >= 2.1.0, otherwise we don't boot

* Thu Jun 21 2001 Erik Troan <ewt@redhat.com>
- added a bunch of commands to nash
- use pivot_root
- support ext3

* Fri Jun 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- delete the exclusivearch line completely

* Fri Mar 23 2001 Matt Wilson <msw@redhat.com>
- reset the state of findmodule after getting the modules we need

* Wed Feb 28 2001 Matt Wilson <msw@redhat.com>
- changed the Requires on mktemp from >= 1.5 to >= 1.5-5 (which included
  -d support) (#30127)

* Fri Feb 23 2001 Erik Troan <ewt@redhat.com>
- let nash be invoked as modprobe to avoid a modprobe failure to exec
- nash will try to run arbitrary commands now (removing insmod as a special 
  case)

* Mon Feb 12 2001 Matt Wilson <msw@redhat.com>
- add findutils to Requires line (#27269)

* Thu Feb  8 2001 Matt Wilson <msw@redhat.com>
- added checks to load the modules i2o_block needs

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- fix utterly broken build

* Wed Jan 31 2001 Helge Deller <hdeller@redhat.com>
- added mandir to nash Makefile (RH 6.x compatibility) 

* Tue Jan 30 2001 Erik Troan <ewt@redhat.com>
- added dependency on mktemp

* Thu Jan 25 2001 Erik Troan <ewt@redhat.com>
- we need to insert xor.o before raid5.o

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- code in RAID_AUTORUN ioctl fallback
- fixed raidstart check flag from -z to -n

* Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
- switched to using nash from sash

* Tue Jan 23 2001 Matt Wilson <msw@redhat.com>
- added patch from twaugh to avoid blindly adding scsi_mod
  and sd_mod to initrd if they are not needed (#24114)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Enlarge initrds, needed for systems with both IDE and SCSI
  (Bug #23846)
- Version 2.[6789] probably shouldn't identify itself as 2.6
  with --version. ;)
- bzip2 source

* Wed Dec 20 2000 Erik Troan <ewt@redhat.com>
- let the kernel autoload ide-cd

* Fri Dec 08 2000 Erik Troan <ewt@redhat.com>
- added modular ide support

* Wed Aug 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- use mktemp to create temporary files and directories

* Sat Aug 05 2000 Erik Troan <ewt@redhat.com>
- changes from Keith Owens for 2.4

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- build on alpha

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- ignore 'unknown' aliases (they shouldn't be there anyways)

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- build on ia64
- bump up initrd size on ia64
- modules.confiscation, /usr/man -> /usr/share/man

* Tue May  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make RPM pick up man page, regardless of compression

* Tue Feb 29 2000 Matt Wilson <msw@redhat.com>
- add requirement for /sbin/losetup

* Mon Feb  7 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Jan 10 2000 Erik Troan <ewt@redhat.com>
- use sash, not ash

* Mon Jan  3 2000 Matt Wilson <msw@redhat.com>
- use ash.static for /bin/sh, not sash

* Sat Jan 1 2000 Erik Troan <ewt@redhat.com>
- configure loopback devices

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- sparc fixup from jakub

* Wed Sep 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix cleanup (blush!)

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- now works when /usr is not mounted (do not rely on /usr/bin/install)
- slight cleanups, better usage message

* Thu Jul 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- Now automatically includes necessary raid modules
- --omit-raid-modules now omits raid modules
- tiny doc updates

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- updates from bugzila (#4243, #4244)

* Sat Mar 27 1999 Matt Wilson <msw@redhat.com>
- --omit-scsi-modules now omits all scsi modules
- updated documentation
- mkinitrd now grabs scsi_hostadapter modules from anywhere -
  some RAID controller modules live in block/

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated description

* Mon Jan 11 1999 Matt Wilson <msw@redhat.com>
- Ignore the absence of scsi modules, include them if they are there, but
  don't complain if they are not.
- changed --no-scsi-modules to --omit-scsi-modules (as it should have been)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Tue Oct 20 1998 Jakub Jelinek <jj@ultra.linux.cz>
- fix for combined sparc/sparc64 insmod, also pluto module is really
  fc4:soc:pluto and we don't look at deps, so special case it.

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- replaced --needs-scsi-mods (which is now the default) with
  --omit-scsi-mods

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- correct obscure regex/shell interaction (hardwires tabs on line 232)

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added 'make archive' rule to Makefile
- rewrote install procedure for more robust version handling
- be smarter about grabbing options from /etc/conf.modules

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made it use /bin/ash.static

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Only use '-s' to install binaries if /usr/bin/strip is present.
- Use an image size of 2500 if binaries can't be stripped (1500 otherwise)
- Don't use "mount -o loop" anymore -- losetup the proper devices manually
- Requires losetup, e2fsprogs

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed a bug in parsing options.
- Changed to use a build tree, then copy the finished tree into the
  image after it is built.
- Added patches derived from ones written by Christian Hechelmann which
  add an option to put the kernel version number at the end of the module
  name and use install -s to strip binaries on the fly.
